error en añadir pestaña instalar desde la web  

 
Carlos Alberto
 Carlos Alberto
Noble Member

Hola : para el proximo miercoles debo tener actualizada la pagina de un cliente la cual esta en version 3.2.3 y el admin ofrece solo la version 3.2.7
he subido el modulo JXML para migrar los contenidos en una web de prueba en caso de que al actualizar me de un error , que es lo mas probable , pero me pregunto porque no me ofrece la ultima version de joomla?

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 22/04/2018 8:40 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola,

Tanto Joomla 3.2.3 como 3.2.7 son del año 2014 muy desactualizadas y muy vulnerables, siendo la versión estable Joomla 3.8.7

Para actualizar a la última versión de Joomla 3.8.7 desde versiones anteriores debe tener en cuenta cosas como las siguientes:

> Para sitios con Joomla 3.2.x que se ejecutan en servidores con una versión de PHP menor de la 5.3.10, la versión a actualizarse primero es la 3.2.5 antes de poder actualizar a Joomla 3.8.7

> Para poder actualizar directamente a la versión 3.8.7 a través del componente de actualización de Joomla, debes estar ejecutando la versión 3.2.5 o posterior, debido a la versión admitida de PHP y a que el sistema de actualización no soporta la verificación de versión de PHP del servidor en versiones anteriores.

Puedes leer la información completa en el siguiente enlace

Además debes asegurarte que en Componentes, Actualizar, opciones (enlace esquina superior derecha) está seleccionada la rama TLS y no STS para que aparezcan versiones para actualizar superiores a la 3.2.7

Naturalmente es importante hacer una copia de seguridad antes de acometer este proceso, delicado.

No creo que la solución sea usar JXML para hacer una actualización.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 22/04/2018 9:20 pm

Cursos Gratuitos WordPress

Carlos Alberto
 Carlos Alberto
Noble Member

hola gracias por tu aporte, no veo lo que dices de la esquina superior derecha , adjunto captura
en cuanto a " No creo que la solución sea usar JXML para hacer una actualización." Claramente expongo que es para en caso de que la actualizacion genere, como espero,. problemas, instalar una web de prueba con un pack actualizado y migrar lo contenidos, siguiendo la intrucciones que recibi a fin y principio de año cuando tuve un problblema con la actualizacion de orbicanes, usted mimo participó de esa discusión

ResponderCitar
Respondido : 22/04/2018 9:49 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola

Ciertamente J2XML es útil para exportar contenidos cuando algo no se puede actualizar por medios propios, es decir, desde el sistema de actualización nativo de Joomla, de lo contrario es complicar el proceso.

Sobre usar LTS y no STS en el método de actualizaciones, es necesario comprobarlo para asegurarse que aparecen versiones nuevas disponibles.

La opción "instalar desde web" en la versión 3.2.3 no funcionaba porque presentaba un bug y eso impedía su instalación y activación.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 22/04/2018 10:27 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Carlos Alberto
 Carlos Alberto
Noble Member

figura LTS

ResponderCitar
Respondido : 22/04/2018 10:41 pm
Carlos Alberto
 Carlos Alberto
Noble Member

corri la actualizacion desde componente actualizar y subio la 6.6 y algo, en el admin no mostro errores, fui al publico y Esta página no funciona
La página www.asocaval.org no puede procesar esta solicitud ahora.
HTTP ERROR 500
tal como lo esperaba, paso lo mismo que en enero con orbiarte y orbicanes, pero el admin ofrecia ya la 3.8 y la intente subir con la esperanza de corregir el error, y nada, ahora voy a subir una restauracion desde mi cuenta y luego instalare una wenb de prueba en una carpeta y con j2xml migrare contenidos, organizo menus y luego reviso como eliminar la de prueba, por ahi deben de estar las instrucciones de la vez pasada

ResponderCitar
Respondido : 22/04/2018 10:55 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola

Es extraño que te muestre una 6.6 ya que esa versión no existe en Joomla.

El problema no es en si la actualización de núcleo de Joomla de la 3.2.3 a la 3.8.7 algo que he realizado numerosas veces y no se han presentado problemas, el problema habitualmente suelen generarlo componentes de terceros instalados y personalizados así como plantillas muy personalizadas que no aceptan bien la actualización por incompatibilidades en el código y conflictos con extensiones no compatibles y eso acaba generando problemas tras la actualización lamentablemente.

Es por eso por lo que siempre antes de actualizar hay que desinstalar o deshabilitar cualquier extensión que no esté soportada en la versión a la que vas a actualizar, ya que eso obviamente produciría un error 500.

Además de eliminar completamente el componente Akeeba Backup que suele causar errores 500 tras actualizar.

Y por supuesto vigilar si la plantilla en uso está soportada por la versión a la que quieres actualizar.

Al final es más una tarea de comprobaciones que el propio proceso de actualizar que es bastante sencillo.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 22/04/2018 11:02 pm
Carlos Alberto
 Carlos Alberto
Noble Member

digite mal 3.6 y algo

ResponderCitar
Respondido : 22/04/2018 11:09 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola,

Antes de actualizar a la 3.6 (que ciertamente es un buen paso para poder luego pasar a la 3.8) ¿desinstalaste Akeeba Backup? , ¿comprobaste si la plantilla está disponible para Joomla 3.8?, ¿verificaste si tenías instalado algún plugin de SEO/SEF y de seguridad?

Son pasos muy importantes para poder echar adelante una actualización y que no falle.

No obstante si ya la has realizado y ha fallado, la única marcha atrás es restaurar una copia de seguridad y probar como tu dices si con J2XML puedes exportar los datos importantes a una instalación limpia con Joomla 3.8.7

Siento mucho no haberte sido útil en el proceso.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 22/04/2018 11:26 pm

Por favor Iniciar Sesión o Registro